#pragma once

#include "rslidar_driver.h"
#include "rslidar_config.hpp"
#include <vector>

class RslidarManager {
private:
    /* data */
public:
    RslidarManager() = default;

    ~RslidarManager() = default;

    Error_manager init();

    size_t getLidarNumber();

    bool getIdList(std::vector<int> &list);

    bool updateRSTransformParam();

    bool updateRSTransformParam(int id);

    RslidarDevice *getRslidar(int id);

private:
    std::string m_config_path = "../etc/relidar.json";
    std::map<int, RslidarDevice *> m_lidars_map_;
    RsliadrJsonConfig *m_config;
};
